Skip to main content
WEBHOOK
form_submitted
{
  "website": {
    "id": 123,
    "subdomain": "some-subdomain",
    "systemDomain": "your-system.subdomain.com",
    "domain": "your-primary-domain.com"
  },
  "contact": {
    "id": 123,
    "name": "John Doe",
    "email": "john@doe.com",
    "phone": "+123456789",
    "note": "<string>",
    "address": "<string>",
    "city": "<string>",
    "state": "<string>",
    "zip": "<string>",
    "country": "<string>",
    "companyName": "<string>",
    "createdOn": 1573240303,
    "properties": [
      {
        "name": "lead_status",
        "value": "contacted"
      }
    ],
    "tags": [
      "tag1",
      "tag2"
    ],
    "memberId": 487,
    "subscribed": true,
    "subscriberLists": [
      0,
      87647751
    ]
  },
  "formName": "Contact Form",
  "formValues": [
    {
      "field": "<string>",
      "value": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Pass your API key as: Authorization: Bearer <API KEY>.

Body

application/json

POST payload delivered for the form_submitted event.

website
object

Information about the website where the event originated.

contact
object
formName
string
Example:

"Contact Form"

formValues
object[]

Field/value pairs of all submitted fields.

Response

200

Return a 2xx status to acknowledge receipt.

Last modified on June 20, 2026